function setup() {
  const meinCanvas = createCanvas(960, 500);
  meinCanvas.parent("canvasContainer");

  textSize(260);
  textAlign(CENTER);
  textStyle(BOLD);
  noStroke();
  fill(0);

  // 360° Farbkreis, andere Werte von 0% bis 100%
  // letzter Wert für Transparenz, kann auch weggelassen werden
  colorMode(HSL, 360, 100, 100);

  frameRate(30);
}

function draw() {
  background(255);

  // map "mapped" die mouseY-Pos auf Werte zwischen 0 und 360 (Farbkreis!)
  let farbe = Math.round(map(mouseY, 0, height, 0, 360));
  let saturation = Math.round(map(mouseX, 0, width, 0, 100));

  // komplementaerFarbe ist jeweils um 180° gegenüber im Farbkreis
  let komplementaer;
  if (farbe <= 180) {
    komplementaer = farbe + 180;
  } else {
    komplementaer = farbe - 180;
  }
  // console.log(farbe, komplementaer);

  // linkes Rechteck
  fill(farbe, saturation, 50);
  rect(0, 0, width / 2, height);

  // rechtes Rechteck
  fill(komplementaer, saturation, 50);
  rect(width / 2, 0, width / 2, height);

  // linkter Text
  fill(komplementaer, saturation, 50);
  text(farbe, width / 4, height / 2 + 90);

  // rechter Text
  fill(farbe, saturation, 50);
  text(komplementaer, width / 2 + width / 4, height / 2 + 90);
}
